package flink.zanxiangnet.ad.monitoring.pojo.properties;

public class ApplicationProperties {
    public static final String FLINK_CHECKPOINT_SAVEPOINT = "flink.checkpoint.savePath";

    public static final String MAX_COMPUTE_ACCOUNT_ID = "maxCompute.accountId";
    public static final String MAX_COMPUTE_ACCOUNT_KEY = "maxCompute.accountKey";
    public static final String MAX_COMPUTE_ACCOUNT_ENDPOINT = "maxCompute.endpoint";
    public static final String MAX_COMPUTE_ACCOUNT_PROJECT_NAME = "maxCompute.projectName";
    public static final String MAX_COMPUTE_ACCOUNT_TUNNEL_ENDPOINT = "maxCompute.tunnelEndpoint";

    public static final String CK_DRIVER_CLASS_NAME = "clickhouse.driverClassName";
    public static final String CK_URL = "clickhouse.url";
    public static final String CK_USERNAME = "clickhouse.username";
    public static final String CK_PASSWORD = "clickhouse.password";

    public static final String MYSQL_DRIVER_CLASS_NAME = "mysql.driverClassName";
    public static final String MYSQL_URL = "mysql.url";
    public static final String MYSQL_USERNAME = "mysql.username";
    public static final String MYSQL_PASSWORD = "mysql.password";
    public static final String MYSQL_INIT_POOL_SIZE = "mysql.initPoolSize";
    public static final String MYSQL_MAX_POOL_SIZE = "mysql.maxPoolSize";

    public static final String OSS_ASSESS_KEY_ID = "oss.accessKeyId";
    public static final String OSS_ASSESS_KEY_SECRET = "oss.accessKeySecret";
    public static final String OSS_ENDPOINT = "oss.endpoint";
    public static final String OSS_BUCKET = "oss.bucket";
}
